<configs>
	<!-- Looting window -->
	<remove xpath="/windows/window[@name='windowLooting']"/>
	<remove xpath="/windows/window[@name='windowVehicleStorage']"/>
	<remove xpath="/windows/window[@name='windowForgeInput']"/>
	<remove xpath="/windows/window[@name='windowOutput']"/>

	<append xpath="/windows">
		<window name="windowLooting" width="{windowWidth}" height="378" controller="LootWindow" panel="Left" anchor_side="bottomright" visible="false" cursor_area="true" >
		<!--#$-IGS END.-$#-->
			<panel name="header" height="43" depth="0" disableautobackground="true" anchor_left="queue,0,-3" anchor_right="queue,1,0" >
				<sprite depth="1" name="headerbackground" sprite="ui_game_panel_header" anchor_left="queue,0,-3" anchor_right="queue,1,0" />
				<sprite depth="3" name="windowIcon" style="icon32px" pivot="center" pos="21,-21" sprite="ui_game_symbol_loot_sack" />
				<label depth="2" name="lootName" pos="39,-6" width="172" height="32" text="{lootcontainer_name}" font_size="32" anchor_left="queue,0,39" anchor_right="queue,1,-230" />
				
				<rect anchor_left="queue,1,-300" anchor_right="queue,1,0" pivot="topleft" pos="0,0" controller="ContainerStandardControls" createuiwidget="true" visible="{buttons_visible}">
					<button   depth="3" name="btnSort"             sprite="ui_game_symbol_sort"          tooltip_key="lblSortContainer"        pos="194, -22" style="icon32px, press, hover" pivot="center" sound="[paging_click]" />
					<button   depth="3" name="btnMoveAll"          sprite="ui_game_symbol_store_all_up"     tooltip="{take_all_tooltip}"          pos="274, -22" style="icon32px, press, hover" pivot="center" sound="[paging_click]" />
					<button   depth="3" name="btnMoveFillAndSmart" sprite="ui_game_symbol_store_similar_up" tooltip_key="xuiLootTakeFillAndSmart" pos="234, -22" style="icon32px, press, hover" pivot="center" sound="[paging_click]" />
				</rect>
			</panel>
			<rect name="content" pos="3,-49" >
				<sprite depth="0" name="bg" color="255,255,255,1" type="sliced" sprite="menu_empty" anchor_left="queue,0,-3" anchor_bottom="queue,0,0" anchor_right="queue,1,0" anchor_top="queue,1,49" on_press="true" />
				<grid depth="12" name="queue" rows="10" cols="13" cell_width="75" cell_height="75" repeat_content="true" controller="LootContainer">
					<item_stack name="0"/>
				</grid>
			</rect>
		</window>
		<window name="windowVehicleStorage" width="{windowWidth}" height="262" depth="5" controller="VehicleContainer" panel="Left" anchor_side="bottomright" backgroundcolor="[black]" cursor_area="true" >
			<panel name="header" height="43" depth="0" disableautobackground="true" anchor_left="queue,0,-3" anchor_right="queue,1,0" >
				<sprite depth="1" name="headerbackground" sprite="ui_game_panel_header" anchor_left="queue,0,-3" anchor_right="queue,1,0" />
				<sprite depth="3" name="windowIcon" style="icon32px" pivot="center" pos="21,-21" sprite="ui_game_symbol_loot_sack" />
				<sprite depth="50" name="spriteDesign1003" pos="265,-22" width="300" height="5" text="" color="[lightGrey]" font_size="32" />
				<label depth="2" name="lootName" pos="39,-6" width="172" height="32" text_key="xuiVehicleStorage" font_size="32" anchor_left="queue,0,39" anchor_right="queue,1,-230" />

				<rect anchor_left="queue,1,-300" anchor_right="queue,1,0" pivot="topleft" pos="0,0" controller="ContainerStandardControls" createuiwidget="true" visible="{buttons_visible}">
					<button   depth="3" name="btnSort"             sprite="ui_game_symbol_sort"          tooltip_key="lblSortContainer"        pos="194, -22" style="icon32px, press, hover" pivot="center" sound="[paging_click]" />
					<button   depth="3" name="btnMoveAll"          sprite="ui_game_symbol_store_all_up"     tooltip="{take_all_tooltip}"          pos="274, -22" style="icon32px, press, hover" pivot="center" sound="[paging_click]" />
					<button   depth="3" name="btnMoveFillAndSmart" sprite="ui_game_symbol_store_similar_up" tooltip_key="xuiLootTakeFillAndSmart" pos="234, -22" style="icon32px, press, hover" pivot="center" sound="[paging_click]" />
				</rect>
			</panel>
			<grid depth="2" name="queue" rows="10" cols="12" pos="3,-49" cell_width="75" cell_height="75" repeat_content="true">
				<item_stack name="0"/>
			</grid>
		</window>

			<window name="windowForgeInput" width="228" height="204" panel="Right"
				controller="WorkstationMaterialInputWindow" materials_accepted="iron,brass,lead,glass,stone,clay" valid_materials_color="[green]" invalid_materials_color="[red]" cursor_area="true" >
			<!--#$-IGS END.-$#-->
				<panel style="header.panel">
					<sprite style="header.icon" sprite="ui_game_symbol_forge"/>
					<label style="header.name" text="INPUT" text_key="xuiSmelting" />
				</panel>

				<sprite depth="2" name="backgroundMain" sprite="menu_empty3px" pos="0,-46" height="153" color="[black]" type="sliced" fillcenter="false" on_press="true" />
				<rect name="content" depth="1" pos="0,-46" height="153">

					<grid depth="7" rows="2" cols="1" pos="3,-3" cell_width="75" cell_height="75" controller="WorkstationMaterialInputGrid" repeat_content="true">
						<item_stack name="0"/>
					</grid>

				</rect>

				<rect name="content2" depth="0" pos="78, -49" width="147" height="148">
					<sprite depth="1" color="[mediumGrey]" type="sliced" on_press="true"/>
					<grid rows="6" cols="1" pos="3,-3" cell_width="147" cell_height="24"  repeat_content="true">
						<forge_material name="0"/>
					</grid>
				</rect>
			</window>

			<!-- Output area -->
			<window name="windowOutput" width="228" height="198" anchor="CenterTop" panel="Right" cursor_area="true" >
			<!--#$-IGS END.-$#-->
				<panel style="header.panel">
					<sprite style="header.icon" sprite="ui_game_symbol_loot_sack"/>
					<label style="header.name" text="OUTPUT" text_key="xuiOutput" />
				</panel>


				<rect name="content" depth="0" pos="0,-46" height="150" disablefallthrough="true" on_press="true">
					<sprite depth="2" name="backgroundMain" sprite="menu_empty3px" height="150" color="[black]" type="sliced" fillcenter="false" on_press="true" />
						<grid depth="10" name="inventory" rows="5" cols="3" pos="3,-3" cell_width="75" cell_height="75" controller="WorkstationOutputGrid" repeat_content="true">
							<item_stack name="0"/>
						</grid>
				</rect>
			</window>
	</append>
	

	<!-- Player backpack window -->
	<append xpath="/windows/window[@name='windowBackpack']">
		<sprite depth="50" name="spriteDesign1001" pos="170,-22" width="120" height="5" text="" color="[lightGrey]" font_size="32" />
		<sprite depth="50" name="spriteDesign1002" pos="700,-22" width="170" height="5" text="" color="[lightGrey]" font_size="32" />
		<label depth="3" name="customBackpackSlots" pos="530,-6" width="250" height="32" text="Back To Origins" color="[red]" font_size="32" />
	</append>

	<append xpath="/windows/window[@name='windowBackpack']/panel[@name='header']/rect[@controller='ContainerStandardControls']"> 		
		<combobox depth="3" name="cbxLockedSlots" pos="80,-7" width="100" height="30" tooltip_key="xuiStashLockedSlots" type="ComboBoxInt" value_min="0" value_max="45" value_wrap="true" value_increment="1" />
	</append>
	
	<append xpath="/windows/window[@name='windowVehicleStorage']/panel[@name='header']/rect[@controller='ContainerStandardControls']">		
		<combobox depth="3" name="cbxLockedSlots" pos="70,-7" width="100" height="30" tooltip_key="xuiStashLockedSlots" type="ComboBoxInt" value_min="0" value_max="{container_slots}" value_wrap="true" value_increment="1" />
	</append>	
	
	<!-- Vehicle window -->
	<append xpath="/windows/window[@name='windowVehicleStorage']">
		<sprite depth="50" name="spriteDesign1003" pos="265,-22" width="300" height="5" text="" color="[lightGrey]" font_size="32" />
	</append>
	
	<set xpath="/windows/window[@name='windowBackpack']/@width">1010</set>
	<set xpath="/windows/window[@name='windowBackpack']/@height">349</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/@height">303</set>
	
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='header']/rect/button[@name='btnSort']/@pos">20,-22</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='header']/rect/rect/button[@name='btnMoveAll']/@pos">200,-22</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='header']/rect/rect/button[@name='btnMoveFillAndSmart']/@pos">60,-22</set>
	
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/sprite[@name='backgroundMain']/@width">1012</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/sprite[@name='backgroundMain']/@height">543</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/sprite[@name='backgroundMain']/@pos">-2,2</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/grid[@name='inventory']/@rows">8</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/grid[@name='inventory']/@cols">15</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='content']/sprite[@name='backgroundMain']/@color">[black]</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='header']/label[@text='{currencyamount}']/@pos">875,-8</set>
	<set xpath="/windows/window[@name='windowBackpack']/panel[@name='header']/sprite[@name='costIcon']/@pos">982,-11</set>
	<!-- Crafting Queue -->
	<set xpath="/windows/window[@name='windowCraftingQueue']/@width">100</set>
	<set xpath="/windows/window[@name='windowCraftingQueue']/@height">30</set>
	<set xpath="/windows/window[@name='windowCraftingQueue']/rect/@pos">10,-25</set>
	<set xpath="/windows/window[@name='windowCraftingQueue']/rect/grid/@rows">3</set>
	<set xpath="/windows/window[@name='windowCraftingQueue']/rect/grid/@cols">5</set>
</configs>
